#include "client/Game.h"
#include "client/GameClient.h"
#include "client/input/Controller.h"
#include "client/rendering/Engine.h"
#include "rendering/Window.h"
#include "utils/Logger.h"
#include "wrapper/GL.h"

int main() {
    if(GameClient::init() || Engine::init()) {
        return 0;
    }
    Controller controller(Engine::getButtons());
    Game game(controller);
    Engine::run();
    return 0;
}
